// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassBindable.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBBindable.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "EnumBindableType.h"


// original function: BindableType getBindableType();
void cBe_getBindableType_c(struct hg3dclass_struct *classptr_c, enum EnumBindableType * result_c);
// original function: String getBindableName();
void cBe_getBindableName_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: bool isActive();
void cBe_isActive_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: bool hasChanged();
void cBe_hasChanged_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void addListener(BindableListener* listener);
void cBe_addListener_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
// original function: void removeListener(BindableListener* listener);
void cBe_removeListener_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * listener_c);
