/*
This source file is part of HGamer3D
(A project to enable 3D game development in Haskell)
For the latest info, see http://www.althainz.de/HGamer3D.html

(c) 2011 Peter Althainz

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// 
// ClassPtr.h
// 

typedef struct hg3dclass_struct {
	void *ptr;
	void *fptr;
} hg3dclass_struct;

void *getOISClassPtr(hg3dclass_struct inSt, const char* className);
typedef void ClassState; 
hg3dclass_struct getOISClass_State(void *ptrIn);

typedef void ClassAnalogAxisState; 
hg3dclass_struct getOISClass_AnalogAxisState(void *ptrIn);

typedef void ClassSequenceAction; 
hg3dclass_struct getOISClass_SequenceAction(void *ptrIn);

typedef void ClassDebugBindableListener; 
hg3dclass_struct getOISClass_DebugBindableListener(void *ptrIn);

typedef void ClassKeyboard; 
hg3dclass_struct getOISClass_Keyboard(void *ptrIn);

typedef void ClassMouse; 
hg3dclass_struct getOISClass_Mouse(void *ptrIn);

typedef void ClassDevice; 
hg3dclass_struct getOISClass_Device(void *ptrIn);

typedef void ClassAction; 
hg3dclass_struct getOISClass_Action(void *ptrIn);

typedef void ClassAnalogEmulator; 
hg3dclass_struct getOISClass_AnalogEmulator(void *ptrIn);

typedef void ClassLinearAnalogEmulator; 
hg3dclass_struct getOISClass_LinearAnalogEmulator(void *ptrIn);

typedef void ClassTriggerAction; 
hg3dclass_struct getOISClass_TriggerAction(void *ptrIn);

typedef void ClassSystem; 
hg3dclass_struct getOISClass_System(void *ptrIn);

typedef void ClassBindable; 
hg3dclass_struct getOISClass_Bindable(void *ptrIn);

typedef void ClassAnalogAxisAction; 
hg3dclass_struct getOISClass_AnalogAxisAction(void *ptrIn);

typedef void ClassDigitalState; 
hg3dclass_struct getOISClass_DigitalState(void *ptrIn);

typedef void ClassJoyStick; 
hg3dclass_struct getOISClass_JoyStick(void *ptrIn);

typedef void ClassBindableListener; 
hg3dclass_struct getOISClass_BindableListener(void *ptrIn);

typedef void ClassPropertySet; 
hg3dclass_struct getOISClass_PropertySet(void *ptrIn);

typedef void ClassActionSchema; 
hg3dclass_struct getOISClass_ActionSchema(void *ptrIn);

typedef void ClassBinding; 
hg3dclass_struct getOISClass_Binding(void *ptrIn);

